CacheRegionUtils (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class CacheRegionUtils

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.CacheRegionUtils

    public abstract class CacheRegionUtils

extends Object

CacheRegionUtils

Field Summary
`static Color` | `HIT_COLOR` HIT_COLOR
`static Color` | `HIT_DRAW_COLOR` HIT_DRAW_COLOR
`static Color` | `HIT_FILL_COLOR` HIT_FILL_COLOR
`static Color` | `MISS_COLOR` MISS_COLOR
`static Color` | `MISS_DRAW_COLOR` MISS_DRAW_COLOR
`static Color` | `MISS_FILL_COLOR` MISS_FILL_COLOR
`static Color` | `PUT_COLOR` PUT_COLOR
`static Color` | `PUT_DRAW_COLOR` PUT_DRAW_COLOR
`static Color` | `PUT_FILL_COLOR` PUT_FILL_COLOR

Constructor Summary
`CacheRegionUtils()`

Method Summary
`static String` | `determineShortName(String fullName)` determineShortName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HIT_COLOR

    public static final Color HIT_COLOR

  HIT_COLOR

### MISS_COLOR

    public static final Color MISS_COLOR

  MISS_COLOR

### PUT_COLOR

    public static final Color PUT_COLOR

  PUT_COLOR

### HIT_FILL_COLOR

    public static final Color HIT_FILL_COLOR

  HIT_FILL_COLOR

### MISS_FILL_COLOR

    public static final Color MISS_FILL_COLOR

  MISS_FILL_COLOR

### PUT_FILL_COLOR

    public static final Color PUT_FILL_COLOR

  PUT_FILL_COLOR

### HIT_DRAW_COLOR

    public static final Color HIT_DRAW_COLOR

  HIT_DRAW_COLOR

### MISS_DRAW_COLOR

    public static final Color MISS_DRAW_COLOR

  MISS_DRAW_COLOR

### PUT_DRAW_COLOR

    public static final Color PUT_DRAW_COLOR

  PUT_DRAW_COLOR

Constructor Detail

### CacheRegionUtils

    public CacheRegionUtils()

Method Detail

### determineShortName

    public static String determineShortName(String fullName)

  determineShortName

  Parameters:
    `fullName` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.